Subject: [netatalk-admins] Uh-oh : irq timeouts ?

From: Tony Moran <[email-masked]>
Date: Tue, 27 Jan 1998 19:40:53 +0000

I have a IDE (I know...sucks)P100 with Netatalk 1.4b2 on slackware,
and after 10 days of the server being up and working dandy, I keep
these messages on the console:

hda : irq timeout : status 0x80 {busy}
ide0 : reset timed-out, status = 0x80
hda : drive not ready for command
ide0 : reset : success

Over and over again.  A User noticed their Mac was random
periods of the Mac Stopwatch coming up...

When I tried to shutdown I just kept getting
Segmentation fault (core dumped)

and it wouldnt shut down..

When I ran e2fsck on hda, I got a huge amount of illegal
blocks in inodes and inodes with the wrong dtime set.

There wasnt much disk activity going on when the messages
started appearing - its the end of the working day really..

Anyone know whats going on ?  - I do think the IDE
HDdrive is a little flaky...but any problems I had when I
got Lnux up and running on it disappeared..

Any suggestions anyone ?

If its likely this'll keep up, I'll have to change the server
back around to NT...ugh..

Thanks very much,   Tony

oh crap...also getting from e2fsck :

:   i_dir_acl for inode
:   i_fsize for inode
:   Unattached inode
:   ref count is 2, should be 1

__________________________________________________
Tony Moran			IT Manager
Ph:   (+353-1)-8303455		Scope Communications.
Fax: (+353-1)-8300888		http://www.infolive.ie
                                                        http://www.jobfinder.ie
      Ireland's online Jobs and IT resources Web Site - Check us out !
__________________________________________________
How to complain about Spam: http://weber.ucsd.edu/~pagre/spam.html